﻿using Dev_Testing.Core;
using Microsoft.Practices.Prism.Commands;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Dev_Testing
{
    public class ProductsViewModel : INotifyPropertyChanged 
    {
        public ProductsViewModel() {
            ReloadCommand = new DelegateCommand(ReloadCommandExecuted);
            var db = new AppDbContext();
            Products = db.Products.ToArray();
            OnPropertyChanged("Products");
            OnPropertyChanged("SelectedProduct");
        }

        private void ReloadCommandExecuted(object param) {
            var db = new AppDbContext();
            Products = db.Products.ToArray();
            OnPropertyChanged("Products");            
        }

        public Product SelectedProduct { get; set; }

        public ICommand ReloadCommand { get; set; }

        public IEnumerable<Product> Products { get; set; }


        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged([CallerMemberName]string propertyName = null)
        {
            var eventHandler = this.PropertyChanged;
            if (eventHandler != null)
            {
                eventHandler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
