﻿
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Interactivity;
namespace IG_Testing.Behavior
{
    public class TextBoxCommandBehavior : Behavior<TextBox>
    {
        public ICommand KeyPressedCommand
        {
            get { return (ICommand)GetValue(KeyPressedCommandProperty); }
            set { SetValue(KeyPressedCommandProperty, value); }
        }

        public static readonly DependencyProperty KeyPressedCommandProperty =
            DependencyProperty.Register("KeyPressedCommand", typeof(ICommand), typeof(TextBoxCommandBehavior));


        protected override void OnAttached()
        {
            AssociatedObject.LostFocus += AssociatedObject_LostFocus; 
        }

        void AssociatedObject_LostFocus(object sender, RoutedEventArgs e)
        {
            if (KeyPressedCommand != null && KeyPressedCommand.CanExecute(null))
            {
                KeyPressedCommand.Execute(AssociatedObject.Text);
            }
        }        

        protected override void OnDetaching()
        {
            AssociatedObject.LostFocus -= AssociatedObject_LostFocus; 
        }
    }
}
